// Copyright 2006, 2007 Telelogic AB
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.telelogic.integration.intellij.actions;

import com.intellij.openapi.actionSystem.AnActionEvent;
import com.intellij.openapi.actionSystem.ActionManager;
import com.intellij.openapi.actionSystem.AnAction;

/**
 * This merely references the Compare.LastVersion action in IDEA. The point here is to override the built-in action's
 * string value, "Compare with Latest Repository Version" which is not relavent to Synergy.  This is done by referencing
 * this action in plugin.xml.  When an action is fired, this action passes the AnActionEvent object to
 * Compare.LastVersion
 */
public class ShowHistory extends CMAction {
    public void actionPerformed(AnActionEvent event) {
        AnAction action = ActionManager.getInstance().getAction("Vcs.ShowTabbedFileHistory");
        if(action != null) {
            action.actionPerformed(event);
        }
    }

    public String toString() {
        return "Show History";
    }
}
