// Copyright 2006, 2007 Telelogic AB
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.telelogic.integration.intellij.cli;

import com.intellij.openapi.project.Project;
import com.intellij.openapi.vfs.VirtualFile;
import com.intellij.openapi.vfs.VfsUtil;
import com.intellij.openapi.vcs.VcsException;
import com.intellij.vcsUtil.VcsUtil;

public class RenameCommand extends MoveCommand {

    public RenameCommand(Project p, VirtualFile curPath, String to, String task) throws VcsException {
        super(p);

        if(task != null) {
            taskID = task;
        }
        else {
            if(!new Tasks(project).ensureTaskSet()) {
                throw new VcsException("Error: No task is set.");
            }
            taskID = myConfig.getDefaultTask();
        }

        // Ensure file is writable
        if(!curPath.isWritable())
        {
            
        }
        // Synergy doesn't want to see the full path to these files, so we will make it relative to the project
        commonDir = curPath.getParent();

        String from = curPath.getPath().replaceFirst(commonDir.getPath(),".");

        execute(from, to);

    }

}
