// Copyright 2006, 2007 Telelogic AB
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.telelogic.integration.intellij.cm;

/**
 * Collection of constants related to CLI output
 */
public class CMConstants {

    public static String DOES_NOT_EXIST             = "Referenced object version could not be identified:";
    public static String DIRECTORY_DOES_NOT_EXIST   = "Directory object cannot be identified in database";

    // Parallel versions exist for CMFileListener.java,1:java:1
    public static String PARALLELS_EXIST            = "Parallel versions exist for";

    // Checked out new version 'CMFileListener.java,1.1.1' from 'CMFileListener.java,1'
    public static String CHECKED_OUT                = "Checked out new version";

    // SYNERGY/CM address is nllust1:2019:10.4.1.21:192.168.11.1.
    public static String SESSION_STARTED            = "SYNERGY/CM address is";

    //  Warning: Parallel branches exist for CMFileListener.java,1.1.1
    public static String PARALLEL_BRANCH            = "Warning: Parallel branches exist for";

    // Archiving CMFileListener.java,1.1.1:source
    public static String ARCHIVING                  = "Archiving";

    // Checked in 'CMFileListener.java,1.1.1' to 'integrate'
    public static String CHECKED_IN                 = "Checked in";

    // Object version specification and directory specification required for 'move'
    public static String OBJECT_SPEC_REQUIRED       = "Object version specification and directory specification required for";

    // The name and version of the object version cannot be changed: 'cli,1:dir:2'

    public static class SessionVars {
        public static String CCM_DATE_FORMAT = "%d.%m.%.%Y %H:%M:%S";
        //public static String JAVA_DATE_FORMAT = "d.M.y H:m:s Z";
        public static String JAVA_DATE_FORMAT = "dd.MM.yyyy HH:mm:ss";
    }
}
