// Copyright 2006, 2007 Telelogic AB
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.telelogic.integration.intellij.ui.dialogs;

import com.telelogic.integration.intellij.cli.History;
import javax.swing.table.DefaultTableModel;
import java.util.LinkedList;
import java.util.Vector;

/**
 * Handles the formatting of data tables that show object history
 */
public class ObjectHistoryTableModel {
    public static DefaultTableModel getHistoryTableModel(LinkedList<History.HistoryObject> objectList) {

        DefaultTableModel model = new DefaultTableModel() {
            public boolean isCellEditable(int row, int col) {
                return false;
            }
        };

        Vector<Vector> data = new Vector<Vector>();
        for(History.HistoryObject object : objectList) {

            Vector<Object> row = new Vector<Object>();
            //row.add(object.getObjectName());
            row.add(object);
            row.add(object.getVersion());
            row.add(object.getRelease());
            row.add(object.getStatus());
            row.add(object.getOwner());

            data.add(row);
        }

        Vector<String> columnNames=new Vector<String>();
        columnNames.addElement("Name");
        columnNames.addElement("Version");
        columnNames.addElement("Release");
        columnNames.addElement("State");
        columnNames.addElement("Owner");

        model.setDataVector(data, columnNames);

        return model;
    }

    public static DefaultTableModel getBlankHistoryTableModel() {
        return getHistoryTableModel(new LinkedList<History.HistoryObject>());
    }
}
