// Copyright 2006, 2007 Telelogic AB
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.telelogic.integration.intellij.ui.dialogs;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * @deprecated
 */
public class TaskProperties  extends JDialog {
    private JTabbedPane tabbedPane1;
    private JPanel panel1;
    private JTextArea synopsis;
    private JTextField release;
    private JTextField priority;
    private JTextField subsystem;
    private JTextField platform;
    private JTextField resolver;
    private JTextField state;
    private JTextField effortEstimated;
    private JTextField effortActual;
    private JTextField cdateEstimated;
    private JTextField cdateActual;
    private JTextArea description;
    private JTable crTable;
    private JTable table1;
    private JTable table2;

    /**
     * Main constructor
     */
    public TaskProperties() {
        synopsis.setBorder(BorderFactory.createLineBorder(Color.BLACK));
        setContentPane(panel1);
        setModal(true);


// call onCancel() when cross is clicked
        setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
        addWindowListener(new WindowAdapter() {
            /** @see java.awt.event.WindowAdapter#windowClosing(java.awt.event.WindowEvent) */
            public void windowClosing(WindowEvent e) {
                onCancel();
            }
        });

// call onCancel() on ESCAPE
        panel1.registerKeyboardAction(new ActionListener() {
            /** @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent) */
            public void actionPerformed(ActionEvent e) {
                onCancel();
            }
        }, KeyStroke.getKeyStroke(KeyEvent.VK_ESCAPE, 0), JComponent.WHEN_ANCESTOR_OF_FOCUSED_COMPONENT);
    }

    /**
     * Handle a cancel/window closing event (dispose of the dialog)
     */
    private void onCancel() {
        dispose();
    }

    /**
     * Makes the dialog visible to the user
     */
    public void showDialog() {
        pack();
        setVisible(true);
    }
}
